Blocks.Grass = {
	Faces = {
		Left   = 4,
		Right  = 4,
		Front  = 4,
		Back   = 4,
		Top    = 1,
		Bottom = 3
	},

	Transparent = false,
	Colliding   = true,
	Flowing     = false,

	ID = 1,
	DisplayImage = 1
}

Blocks.Dirt = {
	Faces = {
		Left   = 3,
		Right  = 3,
		Front  = 3,
		Back   = 3,
		Top    = 3,
		Bottom = 3
	},

	Transparent = false,
	Colliding   = true,
	Flowing     = false,

	ID = 2,
	DisplayImage = 3
}

Blocks.Sand = {
	Faces = {
		Left   = 19,
		Right  = 19,
		Front  = 19,
		Back   = 19,
		Top    = 19,
		Bottom = 19
	},

	Transparent = false,
	Colliding   = true,
	Flowing     = false,

	ID = 3,
	DisplayImage = 19
}

Blocks.Wood = {
	Faces = {
		Left   = 21,
		Right  = 21,
		Front  = 21,
		Back   = 21,
		Top    = 22,
		Bottom = 22
	},

	Transparent = false,
	Colliding   = true,
	Flowing     = false,

	ID = 4,
	DisplayImage = 21
}

Blocks.Glass = {
	Faces = {
		Left   = 68,
		Right  = 68,
		Front  = 68,
		Back   = 68,
		Top    = 68,
		Bottom = 68
	},

	Transparent = true,
	Colliding   = true,
	Flowing     = false,

	Transparency = 0.5,
	TransparentIndex = 20,

	ID = 5,
	DisplayImage = 68
}

Blocks.Stone = {
	Faces = {
		Left   = 20,
		Right  = 20,
		Front  = 20,
		Back   = 20,
		Top    = 20,
		Bottom = 20
	},

	Transparent = false,
	Colliding   = true,
	Flowing     = false,

	ID = 6,
	DisplayImage = 20
}

Blocks.Brick = {
	Faces = {
		Left   = 8,
		Right  = 8,
		Front  = 8,
		Back   = 8,
		Top    = 8,
		Bottom = 8
	},

	Transparent = false,
	Colliding   = true,
	Flowing     = false,

	ID = 7,
	DisplayImage = 8
}

Blocks.Leafs = {
	Faces = {
		Left   = 53,
		Right  = 53,
		Front  = 53,
		Back   = 53,
		Top    = 53,
		Bottom = 53
	},

	Transparent = true,
	Colliding   = true,
	Flowing     = false,

	TransparentIndex = 10,

	ForceBorders = true,

	ID = 8,
	DisplayImage = 53
}

Blocks.Water = {
	Faces = {
		Left   = 224,
		Right  = 224,
		Front  = 224,
		Back   = 224,
		Top    = 224,
		Bottom = 224
	},

	Transparent = true,
	Colliding   = true,
	Flowing     = true,

	Transparency = 0.5,
	TransparentIndex = 30,

	ID = 9,
	DisplayImage = 224
}


Blocks.Snow = {
	Faces = {
		Left   = 69,
		Right  = 69,
		Front  = 69,
		Back   = 69,
		Top    = 67,
		Bottom = 3
	},

	Transparent = false,
	Colliding   = true,
	Flowing     = false,

	ID = 10,
	DisplayImage = 67
}

Blocks.Pillar = {
	Faces = {
		Left   = 5,
		Right  = 5,
		Front  = 5,
		Back   = 5,
		Top    = 7,
		Bottom = 7
	},

	Transparent = false,
	Colliding   = true,
	Flowing     = false,

	ID = 11,
	DisplayImage = 5
}

Blocks.Wall = {
	Faces = {
		Left   = 17,
		Right  = 17,
		Front  = 17,
		Back   = 17,
		Top    = 17,
		Bottom = 17
	},

	Transparent = false,
	Colliding   = true,
	Flowing     = false,

	ID = 12,
	DisplayImage = 17
}

Blocks.MossyWall = {
	Faces = {
		Left   = 37,
		Right  = 37,
		Front  = 37,
		Back   = 37,
		Top    = 37,
		Bottom = 37
	},

	Transparent = false,
	Colliding   = true,
	Flowing     = false,

	ID = 13,
	DisplayImage = 37
}

Blocks.Grid = {
	Faces = {
		Left   = 66,
		Right  = 66,
		Front  = 66,
		Back   = 66,
		Top    = 66,
		Bottom = 66
	},

	Transparent = true,
	Colliding   = true,
	Flowing     = false,

	TransparentIndex = 18,

	ID = 14,
	DisplayImage = 66
}

Blocks.ArrowRight = {
	Faces = {
		Left   = 121,
		Right  = 121,
		Front  = 119,
		Back   = 117,
		Top    = 119,
		Bottom = 117
	},

	Transparent = true,
	Colliding   = false,
	Flowing     = false,

--~ 	ForceBorders = true,

	TransparentIndex = 19,

	Gravity = 4,

	ID = 15,
	DisplayImage = 117
}

Blocks.ArrowLeft = {
	Faces = {
		Left   = 121,
		Right  = 121,
		Front  = 117,
		Back   = 119,
		Top    = 117,
		Bottom = 119
	},

	Transparent = true,
	Colliding   = false,
	Flowing     = false,

--~ 	ForceBorders = true,

	TransparentIndex = 19,

	Gravity = 1,

	ID = 16,
	DisplayImage = 119
}

Blocks.ArrowUp = {
	Faces = {
		Left   = 118,
		Right  = 118,
		Front  = 118,
		Back   = 118,
		Top    = 121,
		Bottom = 121
	},

	Transparent = true,
	Colliding   = false,
	Flowing     = false,

--~ 	ForceBorders = true,

	TransparentIndex = 19,

	Gravity = 3,

	ID = 17,
	DisplayImage = 118
}

Blocks.ArrowForward = {
	Faces = {
		Left   = 117,
		Right  = 119,
		Front  = 121,
		Back   = 121,
		Top    = 120,
		Bottom = 120
	},

	Transparent = true,
	Colliding   = false,
	Flowing     = false,

--~ 	ForceBorders = true,

	TransparentIndex = 19,

	Gravity = 5,

	ID = 18,
	DisplayImage = 123
}

Blocks.ArrowBackward = {
	Faces = {
		Left   = 119,
		Right  = 117,
		Front  = 121,
		Back   = 121,
		Top    = 118,
		Bottom = 118
	},

	Transparent = true,
	Colliding   = false,
	Flowing     = false,

--~ 	ForceBorders = true,

	TransparentIndex = 19,

	Gravity = 2,

	ID = 19,
	DisplayImage = 122
}

Blocks.EdibleMushroom = {
	Faces = {
		Left   = 30,
		Right  = 0,
		Front  = 0,
		Back   = 0,
		Top    = 0,
		Bottom = 0
	},

	Transparent = true,
	Colliding   = false,
	Flowing     = false,

	TransparentIndex = 31,

	ID = 20,
	DisplayImage = 30
}

Blocks.PoisonousMushroom = {
	Faces = {
		Left   = 29,
		Right  = 0,
		Front  = 0,
		Back   = 0,
		Top    = 0,
		Bottom = 0
	},

	Transparent = true,
	Colliding   = false,
	Flowing     = false,

	TransparentIndex = 31,

	ID = 21,
	DisplayImage = 29
}

Blocks.RedFlower = {
	Faces = {
		Left   = 13,
		Right  = 0,
		Front  = 0,
		Back   = 0,
		Top    = 0,
		Bottom = 0
	},

	Transparent = true,
	Colliding   = false,
	Flowing     = false,

	TransparentIndex = 31,

	ID = 22,
	DisplayImage = 13
}

Blocks.BlueFlower = {
	Faces = {
		Left   = 14,
		Right  = 0,
		Front  = 0,
		Back   = 0,
		Top    = 0,
		Bottom = 0
	},

	Transparent = true,
	Colliding   = false,
	Flowing     = false,

	TransparentIndex = 31,

	ID = 23,
	DisplayImage = 14
}
